Package org.lwjgl.opengl

# Class ATIDrawBuffers

java.lang.Object
org.lwjgl.opengl.ATIDrawBuffers

public final class ATIDrawBuffers extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_DRAW_BUFFER0_ATI`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_DRAW_BUFFER1_ATI`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_DRAW_BUFFER10_ATI`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_DRAW_BUFFER11_ATI`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_DRAW_BUFFER12_ATI`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_DRAW_BUFFER13_ATI`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_DRAW_BUFFER14_ATI`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_DRAW_BUFFER15_ATI`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_DRAW_BUFFER2_ATI`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_DRAW_BUFFER3_ATI`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_DRAW_BUFFER4_ATI`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_DRAW_BUFFER5_ATI`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_DRAW_BUFFER6_ATI`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_DRAW_BUFFER7_ATI`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_DRAW_BUFFER8_ATI`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_DRAW_BUFFER9_ATI`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_DRAW_BUFFERS_ATI`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glDrawBuffersATI(int buffer)`
Overloads glDrawBuffersATI.
`static void`
`glDrawBuffersATI(IntBuffer buffers)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_MAX_DRAW_BUFFERS_ATI

public static final int GL_MAX_DRAW_BUFFERS_ATI
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER0_ATI

public static final int GL_DRAW_BUFFER0_ATI
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER1_ATI

public static final int GL_DRAW_BUFFER1_ATI
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER2_ATI

public static final int GL_DRAW_BUFFER2_ATI
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER3_ATI

public static final int GL_DRAW_BUFFER3_ATI
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER4_ATI

public static final int GL_DRAW_BUFFER4_ATI
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER5_ATI

public static final int GL_DRAW_BUFFER5_ATI
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER6_ATI

public static final int GL_DRAW_BUFFER6_ATI
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER7_ATI

public static final int GL_DRAW_BUFFER7_ATI
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER8_ATI

public static final int GL_DRAW_BUFFER8_ATI
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER9_ATI

public static final int GL_DRAW_BUFFER9_ATI
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER10_ATI

public static final int GL_DRAW_BUFFER10_ATI
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER11_ATI

public static final int GL_DRAW_BUFFER11_ATI
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER12_ATI

public static final int GL_DRAW_BUFFER12_ATI
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER13_ATI

public static final int GL_DRAW_BUFFER13_ATI
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER14_ATI

public static final int GL_DRAW_BUFFER14_ATI
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER15_ATI

public static final int GL_DRAW_BUFFER15_ATI
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

## Method Details

### glDrawBuffersATI

public static void glDrawBuffersATI(IntBuffer buffers)

### glDrawBuffersATI

public static void glDrawBuffersATI(int buffer)
Overloads glDrawBuffersATI.